Subject: Re: iproute2 and kernel headers

From: Mariusz Mazur <[email-masked]>
Date: Sun, 8 Aug 2004 11:38:08 +0200

On sobota 07 sierpień 2004 16:04, jamal wrote:
> > > 	By the way, one of the consequence of versioning the API is
> > > that I tend to do most API changes in batches. The idea is that I want
> > > to minimise the number of API versions, because I have to test the
> > > tools and drivers with each of them, and I have finite time.
>
> There should really be no reason you have to change versions. It should
> be the last resort. You can use tricks like data structure augmentation
> and and new TLV types to go for a long time and still be backward (as
> well as forward) compatible. When you are no longer capable of doing
> these tricks, then it would make sense upping the version.
> There also should be rules for evolution reasons against having data
> structures which cross kernel/userspace from having things like
> lookatme[0] elements.

If I understand correctly how the new linux-abi headers are supposed to work - 
this is the way to go (meaning - new versions of linux-abi should not break 
old stuff if they don't have to).

-- 
In the year eighty five ten
God is gonna shake his mighty head
He'll either say,
"I'm pleased where man has been"
Or tear it down, and start again